﻿using System;

namespace Phonebook
{
	internal class Program
	{
		private static void Main(string[] args)
		{
			#region "default" keyword

			// NOTE: Стойността по подразбиране на всеки изброим тип е 0
			// или съответстващата и стойност (ако има такава).
			PhoneType p = default(PhoneType);
			Console.WriteLine("Default phone type is: '{0}'.", p);

			#endregion

			Book book = new Book();

			#region Създава запис

			Entry entry = new Entry();
			entry.Name = "Valery Dachev";
			entry.Email = "valery@david.bg";
			entry.Birthday = new DateTime(1982, 10, 8);

			#region Създава мобилен телефонен номер и го добавя в списъка с телефони за записа

			Phone phone = new Phone();
			phone.Type = PhoneType.Mobile;
			phone.Number = "+359888888888";
			entry.Phones.Add(phone);

			#endregion

			#region Създава номер на факс и го добавя в списъка с телефони за записа

			phone = new Phone();
			phone.Type = PhoneType.Fax;
			phone.Number = "+3592981964";
			entry.Phones.Add(phone);

			#endregion

			#endregion

			#region Добавяне на записа в книгата и разпечатване на съдържанието и

			book.AddEntry(entry);

			book.Dump();

			#endregion

			Console.ReadLine();
		}
	}
}
