﻿using System;

namespace Exceptions
{
	public class UnluckyNumberException : Exception
	{
		private readonly int _number;

		public int Number
		{
			get { return _number; }
		}

		public UnluckyNumberException(string message, int number)
			: base(message)
		{
			this._number = number;
		}
	}
}
