﻿namespace Geometry
{
	public class Line
	{
		/// <summary>
		/// Край на линията
		/// </summary>
		public Point A, B;

		/// <summary>
		/// Цвят на линията
		/// </summary>
		public Color Color;

		/// <summary>
		/// Премества линията.
		/// </summary>
		/// <param name="vector">Вектор на преместването</param>
		public void Move(Vector vector)
		{
			this.A.Move(vector);
			this.B.Move(vector);
		}
	}
}
